# Variables locales.
local ARGS SOURCE TARGET


# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME [str_REPOSITORY] [int_ndisk int_npart] Relative_path_file" \
           "$FUNCNAME 1 1 /aula1/winxp" \
           "$FUNCNAME REPO /aula1/winxp"

    return
fi

# Error si se quiere compartir un fichero en cache y no existe la cache
[ "$1" != "CACHE" ] || `ogr FindCache >/dev/null` || ogr RaiseError $OG_ERR_NOTFOUND "CACHE"|| return $?

case "$1" in
    /*)     # Camino completo.          */ (Comentrio Doxygen)
           SOURCE=$(ogr GetPath "$1.img")
           ARG=1
		;;
    [1-9]*) # ndisco npartición.
           SOURCE=$(ogr GetPath "$1" "$2" "$3.img")
        ARG=3
        ;;
    *)      # Otros: repo, cache, cdrom (no se permiten caminos relativos).
           SOURCE=$(ogr GetPath "$1" "$2.img" 2>/dev/null)
        ARG=2
        ;;
esac


# Error si no se reciben los argumentos ARG necesarios según la opcion.
[ $# -ne "$ARG" ] && ogr RaiseError $OG_ERR_FORMAT && return $?

# Comprobar fichero origen
[ -n "$SOURCE.torrent" ] || ogr RaiseError $OG_ERR_NOTFOUND "${ARGS% $*}" || return $?

echo ctorrent $SOURCE.torrent -d
ctorrent $SOURCE.torrent -d
